Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		etcnet
Version:	0.9.10
Release:	1
Summary:	/etc/net network configuration system
License:	GPL-2
Group:		System/Configuration/Networking
URL:		http://etcnet.org/
Source0:	%{name}-%{version}.tar.gz
Source201:	50-ccux
Requires:	grep sed iproute2 wireless-tools chkconfig resolvconf
Requires:	dhcpcd iptables ethtool ifplugd ccux-bootscripts >= 0.9.9-9
BuildArch:	noarch

Obsoletes:	qnut nut

%description
/etc/net represents a new approach to Linux network configuration tasks.
Inspired by the limitations of traditional network configuration subsystems,
/etc/net provides builtin support for configuration profiles, interface name
management, removable devices, full iproute2 command set, interface
dependencies resolution and a QoS configuration framework.
/etc/net provides support for the following interface types: Ethernet, WiFi
(WEP), IPv4/IPv6 tunnels, PSK IPSec tunnels, VLAN, PLIP, Ethernet bonding and
bridging, traffic equalizer, Pent@NET, Pent@VALUE, SkyStar-2, usbnet
and PPP. Due to its modular structure, support for new interface types can be
added without overall design changes.

%prep
%setup -q
find . -type f -a -name .htaccess -exec rm -f \{\} \;

%build

%install
rm -rf $RPM_BUILD_ROOT 

make -f contrib/Makefile prefix=%{buildroot} install

#CCux specific config
install -m 644 %{SOURCE201} %buildroot/etc/net/options.d

%post
if [ $1 -eq 1 ]; then
# This is a fresh install.
	/sbin/chkconfig --add network
fi

%preun
if [ $1 -eq 0 ]; then
# This is an erase.
	/sbin/chkconfig --del network
fi

%files
%dir %_sysconfdir/net
%dir %_sysconfdir/net/scripts
%dir %_sysconfdir/net/ifaces
%dir %_sysconfdir/net/ifaces/default
%dir %_sysconfdir/net/ifaces/lo
%dir %_sysconfdir/net/ifaces/unknown
%dir %_sysconfdir/net/options.d
%_sysconfdir/net/scripts/*
%config(noreplace) %verify(not md5 mtime size) %_sysconfdir/net/ifaces/default/*
%config(noreplace) %verify(not md5 mtime size) %_sysconfdir/net/ifaces/unknown/*
%config(noreplace) %verify(not md5 mtime size) %_sysconfdir/net/ifaces/lo/*
%config(noreplace) %verify(not md5 mtime size) %_sysconfdir/net/sysctl.conf
%_sysconfdir/rc.d/init.d/network
%_sysconfdir/net/options.d/50-ccux
%config %_sysconfdir/net/options.d/*
%config(noreplace) %verify(not md5 mtime size) %_sysconfdir/sysconfig/network
%doc docs/README* docs/ChangeLog docs/TODO
%doc examples/ contrib/
%_mandir/man5/*
%_mandir/man8/*
/sbin/ifup
/sbin/ifdown
/sbin/efw
/sbin/eqos

%clean
rm -rf $RPM_BUILD_ROOT 

%changelog
* Fri Sep 18 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.9.10-1
- Version update
* Wed Apr 29 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.9-5
- add resolvconf dependency
* Wed Apr 29 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.9-4
- obsolete nut and qnut
* Wed Apr 29 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.9-3
- corrected ccux defaults file
* Wed Apr 29 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.9-2
- add CCux specific defaults
* Wed Apr 29 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.9-1
- Initial package release
